import React__default from 'react';

const HoverableElement = (props) => {
  const { className, hover = false, icon, hoverEle } = props;
  if (hover) {
    return hoverEle != null ? React__default.cloneElement(hoverEle, { className }) : null;
  }
  return icon != null ? React__default.cloneElement(icon, { className }) : null;
};
var HoverableElement$1 = HoverableElement;

export { HoverableElement$1 as default };
